/** global **/
:required {
    border: 1px solid #a94442;
}

.right {
    float: right !important;
}

.left {
    float: left !important;
}

.center {
    text-align: center;
}

form.well .alert {
    margin-left: -15px;
    margin-right: -15px;
}

button .glyphicon, button .fa {
    color: grey;
}

div.checked {
    /* symbol for "opening" panels */
    font-family: 'Glyphicons Halflings';
    content: "\e114";
    color: grey;
}

#modalDialog .modal-content .modal-title img.icon {
    position: relative;
    top: -4px;
}

a.downloadChart button {
    float: right;
}

.table-bordered > thead > tr > th, .table-bordered > thead > tr > td {
    border-bottom-width: 1px;
}

.btn-group, .btn-group-vertical {
    display: inline-flex;
}

/** input file **/
.btn-file {
    position: relative;
    overflow: hidden;
}
.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    background: white;
    cursor: inherit;
    display: block;
}

/** navigation **/
.navbar-right {
    padding-right: 25px;
}

.navbar-right > li > a {
    padding-left: 0;
    padding-right: 0;
    margin-right: 15px;
}

#navigation #profile {
    cursor: pointer;
    padding-bottom: 15px;
    padding-top: 15px;
    display: block;
    margin-right: 15px;
}

.right-nav {
    display: none;
}

@media (max-width: 767px) {
    .navbar-right {
        display: none;
    }
    .right-nav {
        display: block;
        list-style: outside none none;
        float: right;
    }
    .right-nav > li {
        float: left;
        margin-right: 15px;
        padding-top: 15px;
    }
}

@media all and (min-width: 992px) {
    .navbar .nav-item .dropdown-menu{ display: none; }
    .navbar .nav-item:hover .nav-link{   }
    .navbar .nav-item:hover .dropdown-menu{ display: block; }
    .navbar .nav-item .dropdown-menu{ margin-top:0; }
}

#navigation .dropdown-toggle::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
}
/** footer **/
.footer {
    border-radius: 4px;
    background-color: #1E3174;
    margin: 1.2em 0;
    padding: 8px 35px;
    text-align: right;
}

.copyright, .copyright a {
    color: #FFFFFF;
}

/** login **/
.form-signin {
    max-width: 330px;
    padding: 15px;
}

.form-signin input.user, .form-signin input.lock {
    font-size: 12px;
    margin: 0 0 1.5em;
    outline: medium none;
    padding: 10px 15px 10px 37px;
}

.form-signin input.user {
    background: #fff url("../pictures/form_user.png") no-repeat scroll 8px 6px;
}

.form-signin input.lock {
    background: #fff url("../pictures/form_lock.png") no-repeat scroll 8px 6px;
}

/** edit table **/
td.numeric, th.numeric {
    text-align: right;
}

tr.subheader td {
    background-color: #eee;
    border-left: 0 none !important;
    border-right: 0 none !important;
    font-weight: bold;
    padding-top: 2em !important;
}

tr.sum td {
    border-left: 0 none !important;
    border-right: 0 none !important;
    font-weight: bold;
    padding-bottom: 2em !important;
}

th.dont_edit, td.dont_edit {
    cursor: auto;
}

/** tooltips **/
.tooltip-inner {
    background-color: #777777;
    color: #fff;
}

.tooltip.top .tooltip-arrow {
    border-top-color: #777777;
}

.tooltip.right .tooltip-arrow {
    border-right-color: #777777;
}

.tooltip.bottom .tooltip-arrow {
    border-bottom-color: #777777;
}

.tooltip.left .tooltip-arrow {
    border-left-color: #777777;
}


.nav > li > a {
    cursor: pointer;
}

.show_object {
    cursor: pointer;
}

label .addition {
    font-weight: normal;
    margin-left: 10px;
}

.customer-logo img {
    max-height: 40px;
}

.artist img.preview {
    max-height: 100px;
}

.dropzone {
    min-height: 100px;
}

ul.items {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

ul.sortable li {
    cursor: auto;
    white-space: nowrap;
    border: 0;
    color: grey;
}

ul.sortable li .handle {
    cursor: move;
    margin-right: 4px;
}

ul.sortable li .action {
    display: inline;
    margin-right: 8px;
}

ul.sortable li .action span {
    position: relative;
    cursor: pointer;
}

ul.sortable li .action .favorite span {
    cursor: auto;
}

img.in_select {
    max-height: 40px;
}

.container {
    width: auto !important;
}

/** detail view **/
#artist .handler {
    background-color: #fff;
    font-size: 16px;
    padding: 4px;
    position: absolute;
    right: 3px;
    top: 3px;
    z-index: 1;
}

#artist .item {
    display: inline-block;
    position: relative;
}

#artist .handle {
    cursor: pointer;
}

#artist .actions {
    bottom: 3px;
    position: absolute;
    right: 6px;
    z-index: 1;
}

#artist .actions a {
    background-color: #fff;
    color: #333;
    cursor: pointer;
    display: inline-block;
    margin-right: -3px;
    padding: 4px;
}

#artist ul.documents li {
    display: inline-block;
    float: left;
    position: relative;
}

#artist ul.documents, ul,audios, ul.videos {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

#artist ul.documents > li {
    border: 1px solid #bbb;
    display: block;
    float: left;
    height: 100px;
    text-align: center;
    width: 100px;
    margin-right: 8px;
    margin-bottom: 8px;
    overflow: hidden;
    text-overflow: ellipsis;
}

#artist ul.documents > li > i {
    font-size: 40px;
    margin-top: 22px;
    margin-bottom: 4px;
}

#artist ul.documents .actions {
    bottom: 0;
    right: 16px;
}

#artist ul.documents .handler {
    right: -3px;
    top: 0;
    padding: 0;
    color: #333;
}

#artist h4 {
    font-size: 14px;
    text-transform: uppercase;
    font-weight: bold;
    margin-top: 30px;
}

#artist h4.category {
    display: inline-block;
    margin-right: 6px;
}

#artist h4.full {
  text-align: center;
  position: relative;
  overflow: hidden;
  margin-bottom: 16px;
}
#artist h4.full span {
  display: inline-block;
  vertical-align: baseline;
  zoom: 1;
  *display: inline;
  *vertical-align: auto;
  position: relative;
  padding: 0 50px;
}
#artist h4.full span:before,
#artist h4.full span:after {
  content: '';
  display: block;
  width: 1000px;
  position: absolute;
  top: 8px;
  border-top: 1px solid #ddd;
}
#artist h4.full span:before {
  right: 100%;
}
#artist h4.full span:after {
  left: 100%;
}

#artist #locations {
    margin-left: 16px;
}

#locationSearch {
    height: 34px;
}

#locationSearch input {
    text-indent: 0px;
    padding: 6px 12px;
    font-size: 14px;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

#locationSearch input:focus {
  border-color: #66afe9;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
          box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}

#locationSearch .leaflet-locationiq-search-icon {
    display: none;
}

#locationSearch .leaflet-locationiq-close {
    /*
    height: 26px;
    margin: 4px 1px;
    */
    display: none;
}

#locationSearch .leaflet-control {
    box-shadow: none;
    height: 34px;
}

#locationSearch .leaflet-locationiq-control {
    width: 100%;
}

#locationSearch .leaflet-locationiq-results {
    top: 34px !important;
}

a {
    cursor: pointer;
}

.no-padding {
    padding-left: 0px;
    padding-right: 0px;
}

.wysiwig {
    background-color: #fff;
    border: 1px solid #ccc !important;
    border-radius: 4px !important;
    position: relative;
}

.wysiwig:before {
    font: normal normal normal 14px/1 FontAwesome;
    content: "\f044";
    position: absolute;
    top: 4px;
    right: 4px;
}

#artistSelection .artist {
    float: left;
    padding: 4px;
}

#artistSelection .artist img {
    width: 100px;
}

#artistSelection .handler {
    background-color: #fff;
    font-size: 16px;
    padding: 4px;
    position: absolute;
    right: 3px;
    top: 3px;
    z-index: 1;
}

#artistSelection .item {
    display: inline-block;
    position: relative;
}

#artistSelection .handle {
    cursor: pointer;
}

/*
 * Configure the z-index of the editor UI, so when inside a Bootstrap
 * modal, it will be rendered over the modal.
 */
body {
    --ck-z-default: 100;
    --ck-z-modal: calc( var(--ck-z-default) + 999 );
}

.datatable p {
    display: inline;
    margin: 0px;
}

#gallery img.vertical {
    width: 150px !important;
    height: auto !important;
}
#gallery img.horizontal {
    height: 150px !important;
    width: auto !important;
}